version-dependency-add-postgresql.xql

  • last updated 19 hours ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
1. Disallow the addition of multiple "provides" dependencies to a package (enforce the

"one package/one service" paradigm).

2. Only allow "requires" and "extends" of installed and enabled packages - when you build a

package interactively in the APM, it installs it, and would allow you to require packages

that aren't installed, which of course would make your package fail heavily if you

mounted or otherwise tried to use it.

3. Make adding "extends" properly copy parameters of its parent package.

4. When adding a package, rebuild the cached package dependency information (added by

me in 5.5.0, I'd missed the need to rebuild the cache in the APM interactive package

builder).

    • -6
    • +8
    ./version-dependency-add-postgresql.xql
  1. … 5 more files in changeset.

1. Ripped out the '' vs. NULL string kludge, which was a stupid idea in the

first place (MY stupid idea, for the record).

2. More .xql file porting...

    • -2
    • +3
    ./version-dependency-add-postgresql.xql
  1. … 23 more files in changeset.

1. Fixed apm_load_queries. Again? Yes, again. I fixed it real good this

time.

2. Added .xql files for acs-admin. APM .xql files have mostly but not

completely been ported. It sort of works though, cool!

1. Fixed apm_load_queries. Again? Yes, again. I fixed it real good this

time.

2. Added .xql files for acs-admin. APM .xql files have mostly but not

completely been ported. It sort of works though, cool!

    • -0
    • +15
    ./version-dependency-add-postgresql.xql
  1. … 60 more files in changeset.